# Prompt Answers

## Gets all prompt answers for a document in a flow.

> Retrieves all prompt answers for a document in a flow, optionally flattened or filtered by parent prompt.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel":{"required":["document","prompt"],"type":"object","properties":{"failedToAnswer":{"type":"boolean","nullable":true},"contextLengthExceeded":{"type":"boolean","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"quote":{"type":"string","nullable":true},"reviewedDate":{"type":"string","format":"date-time","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"promptObjectIdentifier":{"type":"string","format":"uuid"},"prompt":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"},"document":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"reviewedByMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"assignedToMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"hasChildren":{"type":"boolean","nullable":true},"checkIsFlowWideAssemblyAnswer":{"type":"boolean","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"promptAnswerCategories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel"},"nullable":true},"flowWideAssemblyAnswer":{"type":"boolean","nullable":true},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptReadModel":{"required":["description","label","promptDataTypeId"],"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel"},"nullable":true},"promptDataTypeId":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel":{"required":["promptPredicate","promptPredicateObjectIdentifier"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean","nullable":true},"isYes":{"type":"boolean","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DecimalComparisonOperator"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel"},"nullable":true},"allCategoriesMatch":{"type":"boolean","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"}},"additionalProperties":false},"Jylo.Toolkit.Constants.DecimalComparisonOperator":{"enum":["Equal","GreaterThan","LessThan","GreaterThanOrEqual","LessThanOrEqual","Range"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel":{"required":["fuzzyMatch","text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"},"objectIdentifier":{"type":"string","format":"uuid"},"colourHex":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner":{"required":["name","resourceOwnerId"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"resourceOwnerId":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/document/{documentObjectIdentifier}/prompt-answers":{"get":{"tags":["Prompt Answers"],"summary":"Gets all prompt answers for a document in a flow.","description":"Retrieves all prompt answers for a document in a flow, optionally flattened or filtered by parent prompt.","parameters":[{"name":"flowIdentifier","in":"path","description":"The flow identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"documentObjectIdentifier","in":"path","description":"The document object identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"flatten","in":"query","description":"Whether to flatten the prompt answer tree.","schema":{"type":"boolean"}},{"name":"parentPromptObjectIdentifier","in":"query","description":"Optional parent prompt object identifier.","schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Gets a prompt answer by prompt and document identifiers.

> Retrieves a prompt answer by prompt and document identifiers for a flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel":{"required":["document","prompt"],"type":"object","properties":{"failedToAnswer":{"type":"boolean","nullable":true},"contextLengthExceeded":{"type":"boolean","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"quote":{"type":"string","nullable":true},"reviewedDate":{"type":"string","format":"date-time","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"promptObjectIdentifier":{"type":"string","format":"uuid"},"prompt":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"},"document":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"reviewedByMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"assignedToMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"hasChildren":{"type":"boolean","nullable":true},"checkIsFlowWideAssemblyAnswer":{"type":"boolean","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"promptAnswerCategories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel"},"nullable":true},"flowWideAssemblyAnswer":{"type":"boolean","nullable":true},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptReadModel":{"required":["description","label","promptDataTypeId"],"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel"},"nullable":true},"promptDataTypeId":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel":{"required":["promptPredicate","promptPredicateObjectIdentifier"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean","nullable":true},"isYes":{"type":"boolean","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DecimalComparisonOperator"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel"},"nullable":true},"allCategoriesMatch":{"type":"boolean","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"}},"additionalProperties":false},"Jylo.Toolkit.Constants.DecimalComparisonOperator":{"enum":["Equal","GreaterThan","LessThan","GreaterThanOrEqual","LessThanOrEqual","Range"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel":{"required":["fuzzyMatch","text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"},"objectIdentifier":{"type":"string","format":"uuid"},"colourHex":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner":{"required":["name","resourceOwnerId"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"resourceOwnerId":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/prompt-answer/by-prompt-and-document":{"get":{"tags":["Prompt Answers"],"summary":"Gets a prompt answer by prompt and document identifiers.","description":"Retrieves a prompt answer by prompt and document identifiers for a flow.","parameters":[{"name":"flowIdentifier","in":"path","description":"The flow identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"promptObjectIdentifier","in":"query","description":"The prompt object identifier.","schema":{"type":"string","format":"uuid"}},{"name":"documentObjectIdentifier","in":"query","description":"The document object identifier.","schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Gets a prompt answer by its object identifier.

> Retrieves a prompt answer by its object identifier for a flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel":{"required":["document","prompt"],"type":"object","properties":{"failedToAnswer":{"type":"boolean","nullable":true},"contextLengthExceeded":{"type":"boolean","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"quote":{"type":"string","nullable":true},"reviewedDate":{"type":"string","format":"date-time","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"promptObjectIdentifier":{"type":"string","format":"uuid"},"prompt":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"},"document":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"reviewedByMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"assignedToMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"hasChildren":{"type":"boolean","nullable":true},"checkIsFlowWideAssemblyAnswer":{"type":"boolean","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"promptAnswerCategories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel"},"nullable":true},"flowWideAssemblyAnswer":{"type":"boolean","nullable":true},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptReadModel":{"required":["description","label","promptDataTypeId"],"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel"},"nullable":true},"promptDataTypeId":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel":{"required":["promptPredicate","promptPredicateObjectIdentifier"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean","nullable":true},"isYes":{"type":"boolean","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DecimalComparisonOperator"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel"},"nullable":true},"allCategoriesMatch":{"type":"boolean","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"}},"additionalProperties":false},"Jylo.Toolkit.Constants.DecimalComparisonOperator":{"enum":["Equal","GreaterThan","LessThan","GreaterThanOrEqual","LessThanOrEqual","Range"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel":{"required":["fuzzyMatch","text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"},"objectIdentifier":{"type":"string","format":"uuid"},"colourHex":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner":{"required":["name","resourceOwnerId"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"resourceOwnerId":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/prompt-answer/{objectIdentifier}":{"get":{"tags":["Prompt Answers"],"summary":"Gets a prompt answer by its object identifier.","description":"Retrieves a prompt answer by its object identifier for a flow.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the prompt answer.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Updates an existing prompt answer.

> Updates the details of an existing prompt answer for a flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.UpdatePromptAnswerModel":{"type":"object","properties":{"failedToAnswer":{"type":"boolean","nullable":true},"contextLengthExceeded":{"type":"boolean","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"quote":{"type":"string","nullable":true},"reviewedDate":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel":{"required":["document","prompt"],"type":"object","properties":{"failedToAnswer":{"type":"boolean","nullable":true},"contextLengthExceeded":{"type":"boolean","nullable":true},"approved":{"type":"boolean","nullable":true},"assignedTo":{"type":"string","nullable":true},"reviewedBy":{"type":"string","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"booleanAnswer":{"type":"boolean","nullable":true},"textAnswer":{"type":"string","nullable":true},"quote":{"type":"string","nullable":true},"reviewedDate":{"type":"string","format":"date-time","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"promptObjectIdentifier":{"type":"string","format":"uuid"},"prompt":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"},"document":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Documents.DocumentReadModel"},"reviewedByMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"assignedToMember":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner"},"hasChildren":{"type":"boolean","nullable":true},"checkIsFlowWideAssemblyAnswer":{"type":"boolean","nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"promptAnswerCategories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel"},"nullable":true},"flowWideAssemblyAnswer":{"type":"boolean","nullable":true},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptReadModel":{"required":["description","label","promptDataTypeId"],"type":"object","properties":{"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"modelIdentifier":{"type":"string","format":"uuid","nullable":true},"question":{"type":"string","nullable":true},"questionJson":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel"},"nullable":true},"promptDataTypeId":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","format":"date-time"},"objectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"nullable":true},"minimumValue":{"type":"number","format":"double","nullable":true},"maximumValue":{"type":"number","format":"double","nullable":true},"found":{"type":"boolean","nullable":true},"hasChildren":{"type":"boolean","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptConditionReadModel":{"required":["promptPredicate","promptPredicateObjectIdentifier"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean","nullable":true},"isYes":{"type":"boolean","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.DecimalComparisonOperator"},"decimalAnswer":{"type":"number","format":"double","nullable":true},"textAnswer":{"type":"string","nullable":true},"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel"},"nullable":true},"allCategoriesMatch":{"type":"boolean","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptReadModel"}},"additionalProperties":false},"Jylo.Toolkit.Constants.DecimalComparisonOperator":{"enum":["Equal","GreaterThan","LessThan","GreaterThanOrEqual","LessThanOrEqual","Range"],"type":"string"},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryConditionModel":{"required":["fuzzyMatch","text"],"type":"object","properties":{"fuzzyMatch":{"type":"boolean"},"text":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"colour":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.ECategoryColour"},"objectIdentifier":{"type":"string","format":"uuid"},"colourHex":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.ECategoryColour":{"enum":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Documents.DocumentReadModel":{"required":["documentUploadObjectIdentifier","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"isDirectory":{"type":"boolean"},"documentUploadObjectIdentifier":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"uploadSuccessful":{"type":"boolean","nullable":true},"tokenCount":{"type":"integer","format":"int64","nullable":true},"metadataTokenCount":{"type":"integer","format":"int64","nullable":true},"unsupportedFileType":{"type":"boolean","nullable":true},"unPackingComplete":{"type":"boolean","nullable":true},"unPackingFailed":{"type":"boolean","nullable":true},"uploadInProgress":{"type":"boolean","nullable":true},"url":{"type":"string","nullable":true},"hasChildren":{"type":"boolean","nullable":true},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.ContainerEntities.ResourceOwner":{"required":["name","resourceOwnerId"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"resourceOwnerId":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.PromptCategoryReadModel"},"evidence":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerCategoryEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerEvidenceReadModel":{"type":"object","properties":{"quoteOnly":{"type":"boolean"},"text":{"type":"string","nullable":true},"paragraphObjectIdentifier":{"type":"string","format":"uuid","nullable":true},"polygonPoints":{"type":"array","items":{"type":"number","format":"float"},"nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/prompt-answer/{objectIdentifier}":{"put":{"tags":["Prompt Answers"],"summary":"Updates an existing prompt answer.","description":"Updates the details of an existing prompt answer for a flow.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the prompt answer.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The updated prompt answer data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.UpdatePromptAnswerModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.UpdatePromptAnswerModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.UpdatePromptAnswerModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.FilterAnswerModels.PromptAnswerReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Deletes a prompt answer by its object identifier.

> Deletes a prompt answer for a flow using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/prompt-answer/{objectIdentifier}":{"delete":{"tags":["Prompt Answers"],"summary":"Deletes a prompt answer by its object identifier.","description":"Deletes a prompt answer for a flow using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the prompt answer to delete.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Updates the status of a prompt answer.

> Updates the status of a prompt answer for a flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/prompt-answer/{objectIdentifier}/status":{"patch":{"tags":["Prompt Answers"],"summary":"Updates the status of a prompt answer.","description":"Updates the status of a prompt answer for a flow.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the prompt answer.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The new status value.","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}},"application/*+json":{"schema":{"type":"boolean"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Assigns a prompt answer to a user.

> Assigns a prompt answer to a user for a flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/prompt-answer/{objectIdentifier}/assign-to-user":{"post":{"tags":["Prompt Answers"],"summary":"Assigns a prompt answer to a user.","description":"Assigns a prompt answer to a user for a flow.","parameters":[{"name":"flowIdentifier","in":"path","description":"The flow identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","description":"The object identifier of the prompt answer.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The resource owner ID of the user to assign.","content":{"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}},"application/*+json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Adds categories to a prompt answer.

> Adds categories to a prompt answer for a flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/prompt-answer/{promptAnswerObjectIdentifier}/categories":{"post":{"tags":["Prompt Answers"],"summary":"Adds categories to a prompt answer.","description":"Adds categories to a prompt answer for a flow.","parameters":[{"name":"promptAnswerObjectIdentifier","in":"path","description":"The object identifier of the prompt answer.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The list of category object identifiers to add.","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},"text/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},"application/*+json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Removes a category from a prompt answer.

> Removes a category from a prompt answer for a flow.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/flows/{flowIdentifier}/prompt-answer/{promptAnswerObjectIdentifier}/categories/{categoryObjectIdentifier}":{"delete":{"tags":["Prompt Answers"],"summary":"Removes a category from a prompt answer.","description":"Removes a category from a prompt answer for a flow.","parameters":[{"name":"promptAnswerObjectIdentifier","in":"path","description":"The object identifier of the prompt answer.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"categoryObjectIdentifier","in":"path","description":"The object identifier of the category to remove.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```
